
package com.heyu.api.controller.mm;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.heyu.api.alibaba.request.mm.VvPromoterRequest;
import com.heyu.api.common.annotation.Describe;
import com.heyu.api.data.dao.vv.VvPromoterDao;
import com.heyu.api.data.utils.R;
import com.heyu.api.utils.ISelect;
import com.heyu.api.utils.PPageUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/mm/promoter")
public class AdminPromoterController {


    @Autowired
    private VvPromoterDao vvPromoterDao;

    /***
     * 列表
     * http://localhost:8888/mm/promoter/list
     */
    @Describe("推广者列表")
    @RequestMapping("/list")
    public R list(@RequestBody VvPromoterRequest vvPromoterRequest) {
        PPageUtils pageUtils = PPageUtils.startPage(vvPromoterRequest.getPageNum(), vvPromoterRequest.getPageSize())
                .doSelect(new ISelect() {
                    @Override
                    public List doSelect(IPage page) {
                        return vvPromoterDao.selectBuyerByCondition(page,
                                vvPromoterRequest.getPromoterId(),
                                vvPromoterRequest.getPromoterBuyerId(),
                                vvPromoterRequest.getPromoterBuyerName(),
                                vvPromoterRequest.getPromoterBuyerWeixin(),
                                vvPromoterRequest.getPromoterBuyerPhone(),
                                vvPromoterRequest.getMinCreateTimestamp(),
                                vvPromoterRequest.getMaxCreateTimestamp(),
                                vvPromoterRequest.getCreateTimestampSort()
                        );
                    }
                });

        return R.ok().setData(pageUtils);
    }
}